# DataExchange
TKSTEPBase
StepShape

# StepShape_DimensionalLocationWithPath Class Reference

Representation of STEP entity DimensionalLocationWithPath
.

`#include <StepShape_DimensionalLocationWithPath.hxx>`

Inheritance diagram for StepShape_DimensionalLocationWithPath:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_DimensionalLocationWithPath ()
| Empty constructor .

Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aShapeAspectRelationship_Name, const Standard_Boolean hasShapeAspectRelationship_Description, const Handle(TCollection_HAsciiString)&aShapeAspectRelationship_Description, const Handle(StepRepr_ShapeAspect)&aShapeAspectRelationship_RelatingShapeAspect, const Handle(StepRepr_ShapeAspect)&aShapeAspectRelationship_RelatedShapeAspect, const Handle(StepRepr_ShapeAspect)&aPath)

| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_ShapeAspect | Path () const
| Returns field Path .
Standard_EXPORT void | SetPath (const Handle(StepRepr_ShapeAspect)&Path)
| Set field Path .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepRepr_ShapeAspect | thePath

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DimensionalLocationWithPath::StepShape_DimensionalLocationWithPath | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_DimensionalLocationWithPath::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_DimensionalLocation.

Standard_EXPORT void StepShape_DimensionalLocationWithPath::Init | ( | const Handle(TCollection_HAsciiString)& | aShapeAspectRelationship_Name,
|  | const Standard_Boolean | hasShapeAspectRelationship_Description,
|  | const Handle(TCollection_HAsciiString)& | aShapeAspectRelationship_Description,
|  | const Handle(StepRepr_ShapeAspect)& | aShapeAspectRelationship_RelatingShapeAspect,
|  | const Handle(StepRepr_ShapeAspect)& | aShapeAspectRelationship_RelatedShapeAspect,
|  | const Handle(StepRepr_ShapeAspect)& | aPath
| ) |

Standard_EXPORT Handle_StepRepr_ShapeAspect StepShape_DimensionalLocationWithPath::Path | ( |  | ) | const

Standard_EXPORT void StepShape_DimensionalLocationWithPath::SetPath | ( | const Handle(StepRepr_ShapeAspect)& | Path | ) |

## Field Documentation

Handle_StepRepr_ShapeAspect StepShape_DimensionalLocationWithPath::thePath `[private]`

The documentation for this class was generated from the following file:

- StepShape_DimensionalLocationWithPath.hxx